Bug 829712 - [ovirt-engine-core] Engine start script should check log permissions
[ovirt-engine-core] Engine start script should check log permissions
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
x86_64 Linux
high Severity unspecified
: ---
: ---
Assigned To: Juan Hernández
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 07:39 EDT by Kiril Nesenko
Modified: 2014-07-10 20:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-06 02:38:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kiril Nesenko 2012-06-07 07:39:45 EDT
Description of problem:

It might be a sittuation that the old installation logs are owned by jboss.jboss.
The engine start script should check that the /var/log/ovirt-engine/server.log either doesn't exist or is owned by the ovirt user

 

Version-Release number of selected component (if applicable):
243bbde71d86edfaa0d16147ce6cc8ce84c017fc

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Juan Hernández 2012-06-14 09:20:08 EDT
The following change includes a fix for this issue:

http://gerrit.ovirt.org/#/c/5355

If any of the log files (boot.log, console.log, server.log and engine.log) exists and is not owned by the ovirt user the service will fail to start and will send the messages like this to the system log (/var/log/messages):

Jun 14 15:17:59 f17 ovirt-engine: The file "/var/log/ovirt-engine/server.log" is not owned by user "ovirt", but by "root".

Note You need to log in before you can comment on or make changes to this bug.